program solution;

{$APPTYPE CONSOLE}

const
  MAXN = 1000000000;

var
  n, i, res: integer;
  k: int64;

begin
//	reset(input,'input.txt');
//	rewrite(output,'output.txt');
	
	read(n);
	assert( (n>=1) and (n<=MAXN));
	
	if (n=1) then begin
		write(1);
		exit;
	end;
	
	res := 0;
	k:= n;
	for i:= 1 to 1000000 do
	  if ((k*(k+i)) mod i = 0) then inc(res);
	
	write(res);
end.